## org.firebirdsql.jdbc
Class FBRowUpdater

    java.lang.Object
      org.firebirdsql.jdbc.FBRowUpdater

    public class FBRowUpdater

extends Object

Class responsible for modifying updatable result sets. A result set is updatable if and only if:

- It is a subset of a single table and includes all columns from the table's primary key (in other words, includes all best row identifiers) or RDB$DB_KEY column (in this case tables without primary key can be updated too).
- If base table columns not included in the result set allow NULL values, result set allows inserting rows into it.
- The result set�s SELECT statement does not contain subqueries, a DISTINCT predicate, a HAVING clause, aggregate functions, joined tables, user-defined functions, or stored procedures.

If the result set definition does not meet these conditions, it is considered read-only.

Author:
  Roman Rokytskyy

Constructor Summary
`FBRowUpdater(GDSHelper connection, XSQLVAR[] xsqlvars, Synchronizable syncProvider, boolean cached, FBObjectListener.ResultSetListener rsListener)`

Method Summary
`void` `cancelRowUpdates()`
`void` `close()`
`void` `deleteRow()`
`FBField` `getField(int fieldPosition)`
`byte[][]` `getInsertRow()`
`byte[][]` `getNewRow()`
`byte[][]` `getOldRow()`
`void` `insertRow()`
`void` `moveToCurrentRow()`
`void` `moveToInsertRow()`
`void` `refreshRow()`
`boolean` `rowDeleted()`
`boolean` `rowInserted()`
`boolean` `rowUpdated()`
`void` `setRow(byte[][] row)`
`void` `updateRow()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FBRowUpdater

    public FBRowUpdater(GDSHelper connection,
                        XSQLVAR[] xsqlvars,
                        Synchronizable syncProvider,
                        boolean cached,
                        FBObjectListener.ResultSetListener rsListener)
                 throws SQLException

Throws:
  `SQLException`

Method Detail

### close

    public void close()
               throws SQLException

  Throws:
    `SQLException`

### setRow

    public void setRow(byte[][] row)

### cancelRowUpdates

    public void cancelRowUpdates()

### getField

    public FBField getField(int fieldPosition)

### updateRow

    public void updateRow()
                   throws SQLException

  Throws:
    `SQLException`

### deleteRow

    public void deleteRow()
                   throws SQLException

  Throws:
    `SQLException`

### insertRow

    public void insertRow()
                   throws SQLException

  Throws:
    `SQLException`

### refreshRow

    public void refreshRow()
                    throws SQLException

  Throws:
    `SQLException`

### rowInserted

    public boolean rowInserted()
                        throws SQLException

  Throws:
    `SQLException`

### rowDeleted

    public boolean rowDeleted()
                       throws SQLException

  Throws:
    `SQLException`

### rowUpdated

    public boolean rowUpdated()
                       throws SQLException

  Throws:
    `SQLException`

### getNewRow

    public byte[][] getNewRow()

### getInsertRow

    public byte[][] getInsertRow()

### getOldRow

    public byte[][] getOldRow()

### moveToInsertRow

    public void moveToInsertRow()
                         throws SQLException

  Throws:
    `SQLException`

### moveToCurrentRow

    public void moveToCurrentRow()
                          throws SQLException

  Throws:
    `SQLException`

Copyright © 2001-2010. All Rights Reserved.